Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 885699 - anaconda automatically encrypt /boot, then says that /boot cannot be encrypted
Summary: anaconda automatically encrypt /boot, then says that /boot cannot be encrypted
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 12:53 UTC by Jan Sedlák
Modified: 2013-08-09 19:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 19:09:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Sedlák 2012-12-10 12:53:10 UTC
Description of problem:
In F18 Beta TC1, if I want to encrypt root and I check "encrypt" checkbox on root partition, it automatically sets to encrypt /boot too, without saying any error. If I click on /boot partition, encrypt checkbox is already automatically selected here. If I then click on another partition, it shows error "/boot cannot be encrypted".

Steps to Reproduce:
1. Make custom layout, make /boot partition, / partition and swap
2. Check / partition to be encrypted, apply
3. Select /boot partition and then select another partition
  
Actual results:
It shows error that /boot cannot be encrypted.

Expected results:
It shouldn't encrypt /boot. And it should show error immediately.

Comment 1 Chris Lumens 2012-12-13 22:07:49 UTC
Giving this a test with a tree post-beta, this appears to be fixed.  If you can please retry with a tree containing anaconda-18.37.x and let us know if it's still broken, that would be very helpful.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.